<?xml version='1.0' encoding='windows-1252' ?>
<!DOCTYPE ViewObject SYSTEM "jbo_03_01.dtd">

<ViewObject
   Name="StaffList"
   SelectList="SystemUser.USER_ID, 
       SystemUser.USER_ROLE, 
       SystemUser.EMAIL, 
       SystemUser.FIRST_NAME, 
       SystemUser.LAST_NAME, 
       (select count(*) from service_requests where assigned_to
= SystemUser.user_id and status &#60;&#62; &#39;Closed&#39;) AS OPEN_OR_PENDING_REQUESTS"
   FromList="USERS SystemUser"
   Where="USER_ROLE IN (&#39;technician&#39;,&#39;manager&#39;)"
   OrderBy="last_name, first_name"
   BindingStyle="OracleName"
   CustomQuery="false"
   RowClass="oracle.srdemo.model.queries.StaffListRowImpl"
   RowInterface="oracle.srdemo.model.queries.common.StaffListRow"
   ClientRowProxyName="oracle.srdemo.model.queries.client.StaffListRowClient"
   FetchMode="FETCH_AS_NEEDED"
   UseGlueCode="false" >
   <Data>
      <Property Name ="COMPLETE_LIBRARY" Value ="FALSE" />
      <Property Name ="ID" Value ="3fd197a1-010a-1000-80ca-8d9088295bcf::::ViewObject" />
      <Property Name ="IS_ABSTRACT" Value ="FALSE" />
      <Property Name ="IS_ACTIVE" Value ="FALSE" />
      <Property Name ="IS_LEAF" Value ="FALSE" />
      <Property Name ="IS_ROOT" Value ="FALSE" />
      <Property Name ="VISIBILITY" Value ="PUBLIC" />
   </Data>
   <DesignTime>
      <Attr Name="_isCodegen" Value="true" />
      <Attr Name="_version" Value="10.1.3.36.73" />
      <Attr Name="_codeGenFlag2" Value="Access" />
   </DesignTime>
   <EntityUsage
      Name="SystemUser"
      Entity="oracle.srdemo.model.entities.User" >
      <Data>
         <Property Name ="COMPLETE_LIBRARY" Value ="FALSE" />
         <Property Name ="ID" Value ="3fd197a1-010a-1000-80d1-8d9088295bcf::queries.StaffList$SystemUser::EntityObjectInstance" />
         <Property Name ="IS_ABSTRACT" Value ="FALSE" />
         <Property Name ="IS_ACTIVE" Value ="FALSE" />
         <Property Name ="IS_LEAF" Value ="FALSE" />
         <Property Name ="IS_ROOT" Value ="FALSE" />
         <Property Name ="VISIBILITY" Value ="PUBLIC" />
      </Data>
      <DesignTime>
         <Attr Name="_queryClause" Value="true" />
         <Attr Name="_queryOrderBy" Value="last_name, first_name" />
         <Attr Name="_queryWhere" Value="USER_ROLE IN (&#39;technician&#39;,&#39;manager&#39;)" />
      </DesignTime>
   </EntityUsage>
   <ViewAttribute
      Name="UserId"
      IsNotNull="true"
      EntityAttrName="UserId"
      EntityUsage="SystemUser"
      AliasName="USER_ID" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd197a1-010a-1000-80cb-8d9088295bcf::queries.StaffList::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
   </ViewAttribute>
   <ViewAttribute
      Name="UserRole"
      IsNotNull="true"
      EntityAttrName="UserRole"
      EntityUsage="SystemUser"
      AliasName="USER_ROLE" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd197a1-010a-1000-80cc-8d9088295bcf::queries.StaffList::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
   </ViewAttribute>
   <ViewAttribute
      Name="Email"
      IsUnique="true"
      IsNotNull="true"
      EntityAttrName="Email"
      EntityUsage="SystemUser"
      AliasName="EMAIL" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd197a1-010a-1000-80cd-8d9088295bcf::queries.StaffList::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
   </ViewAttribute>
   <ViewAttribute
      Name="FirstName"
      IsNotNull="true"
      EntityAttrName="FirstName"
      EntityUsage="SystemUser"
      AliasName="FIRST_NAME" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd197a1-010a-1000-80ce-8d9088295bcf::queries.StaffList::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
   </ViewAttribute>
   <ViewAttribute
      Name="LastName"
      IsNotNull="true"
      EntityAttrName="LastName"
      EntityUsage="SystemUser"
      AliasName="LAST_NAME" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd197a1-010a-1000-80cf-8d9088295bcf::queries.StaffList::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
   </ViewAttribute>
   <ViewAttribute
      Name="OpenOrPendingRequests"
      IsUpdateable="false"
      IsPersistent="false"
      Type="oracle.jbo.domain.Number"
      ColumnType="NUMBER"
      AliasName="OPEN_OR_PENDING_REQUESTS"
      Expression="(select count(*) from service_requests where assigned_to = SystemUser.user_id and status &#60;&#62; &#39;Closed&#39;)"
      SQLType="NUMERIC" >
      <Data>
         <Property Name ="ATTR_LOAD" Value ="LOAD_EACH" />
         <Property Name ="CHANGEABILITY" Value ="CHANGEABLE" />
         <Property Name ="ID" Value ="3fd197a1-010a-1000-80d0-8d9088295bcf::queries.StaffList::ViewObjectAttribute" />
         <Property Name ="IS_NOT_NULL" Value ="TRUE" />
         <Property Name ="IS_OVERRIDE_ATTR" Value ="FALSE" />
         <Property Name ="IS_PERSISTENT" Value ="TRUE" />
         <Property Name ="IS_QUERIABLE" Value ="TRUE" />
         <Property Name ="IS_SUPER_ATTR" Value ="FALSE" />
         <Property Name ="IS_UNIQUE" Value ="FALSE" />
         <Property Name ="IS_UPDATEABLE" Value ="UPDATEABLE" />
         <Property Name ="IS_VISIBLE" Value ="TRUE" />
         <Property Name ="MULTIPLICITY" Value ="1" />
         <Property Name ="OWNER_SCOPE" Value ="INSTANCE" />
         <Property Name ="VISIBILITY" Value ="PACKAGE" />
      </Data>
   </ViewAttribute>
   <ViewLinkAccessor
      Name="ExpertiseAreasForStaffMember"
      ViewLink="oracle.srdemo.model.queries.viewlinks.ExpertiseAreasForStaffMember"
      Type="oracle.jbo.RowIterator"
      IsUpdateable="false" >
   </ViewLinkAccessor>
</ViewObject>
